Page MenuHomePhabricator

User option to disable / hide RevisionSlider bar
Closed, ResolvedPublic

Description

Requested in https://www.mediawiki.org/wiki/Topic:Tfuh4a8leeiku7gh

If I do not want to load and execute this JavaScript stuff, where can I configure to be kept in peace?

On Preferences I can disable VE, MultimediaViewer, and indirectly ULS.
I can even request on Preferences that I want to see the comparison only without rendered page, for a decade now. Sometimes I make temporarily use of this config for specific maintenance tasks.

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptNov 23 2016, 1:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 323186 had a related patch set uploaded (by Addshore):
User preference to disable the Extensions

https://gerrit.wikimedia.org/r/323186

Change 323186 merged by jenkins-bot:
User preference to disable the Extension

https://gerrit.wikimedia.org/r/323186

Tobi_WMDE_SW moved this task from Incoming to Doing on the Revision-Slider board.Nov 24 2016, 10:42 AM

Change 323384 had a related patch set uploaded (by Addshore):
User preference to disable the Extension

https://gerrit.wikimedia.org/r/323384

This will be deployed on 28th November

Change 323510 had a related patch set uploaded (by Tobias Gritschacher):
Don't show opt-out preference for betafeature

https://gerrit.wikimedia.org/r/323510

Change 323510 merged by jenkins-bot:
Don't show opt-out preference for betafeature

https://gerrit.wikimedia.org/r/323510

Change 323520 had a related patch set uploaded (by Addshore):
Don't show opt-out preference for betafeature

https://gerrit.wikimedia.org/r/323520

Change 323384 merged by jenkins-bot:
User preference to disable the Extension

https://gerrit.wikimedia.org/r/323384

Change 323520 merged by jenkins-bot:
Don't show opt-out preference for betafeature

https://gerrit.wikimedia.org/r/323520

Addshore closed this task as Resolved.Nov 28 2016, 4:35 PM
Addshore claimed this task.

Merged, backported & deployed.

Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Dec 1 2016, 3:15 PM
Tobi_WMDE_SW moved this task from Doing to Done on the Revision-Slider board.Dec 2 2016, 12:39 PM